Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xni.parser
Interface XMLDTDContentModelFilter

All Superinterfaces:
  XMLDTDContentModelHandler, XMLDTDContentModelSource

    public interface XMLDTDContentModelFilter

extends XMLDTDContentModelHandler, XMLDTDContentModelSource

Defines a DTD content model filter that acts as both a receiver and an emitter of DTD content model events.

Version:
  $Id: XMLDTDContentModelFilter.java 447244 2006-09-18 05:20:40Z mrglavas $
Author:
  Andy Clark, IBM

Field Summary

Fields inherited from interface org.apache.xerces.xni.XMLDTDContentModelHandler
`OCCURS_ONE_OR_MORE, OCCURS_ZERO_OR_MORE, OCCURS_ZERO_OR_ONE, SEPARATOR_CHOICE, SEPARATOR_SEQUENCE`

Method Summary

Methods inherited from interface org.apache.xerces.xni.XMLDTDContentModelHandler
`any, element, empty, endContentModel, endGroup, getDTDContentModelSource, occurrence, pcdata, separator, setDTDContentModelSource, startContentModel, startGroup`

Methods inherited from interface org.apache.xerces.xni.parser.XMLDTDContentModelSource
`getDTDContentModelHandler, setDTDContentModelHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2006 The Apache Software Foundation. All Rights Reserved.